const CacheBase=require("../cache.base");
const system=require("../../system");
const settings=require("../../../config/settings");
//缓存首次登录的赠送的宝币数量
class UIConfigCache extends CacheBase{
   constructor(){
     super();
     this.prefix="g_uiconfig_";
   }
   async cacheUiConfig(appid){
      //  const key=this.prefix+appid;
      //  var configValue=await this.redisClient.get(key);
      //  console.log(configValue);
      //  if(!configValue || configValue=="undefined"){
      //    console.log("uiconfig no cache....");
      //    configValue =system.getUiConfig2(appid);
      //    if(settings.env!="dev"){
      //     await this.redisClient.set(key,JSON.stringify(configValue));
      //    }
      //    return configValue;
      //  }else {
      //    console.log("uiconfig already cache....");
      //  }
       var configValue =system.getUiConfig2(appid);
       return configValue;
       //return JSON.parse(configValue);
   }
}
module.exports=UIConfigCache;
